%define		_basename	qcg-core
%define _sourcedir %{_topdir}/SOURCES/%{_basename}

%{!?default_package_ext: %define default_package_ext tar.gz}
%{!?system_name: %define system_name 0}

Summary:	qcg-core
Summary(pl.UTF-8):	qcg-core
Name:		%{_basename}
Version:	4.2.0
Release:	11
License:	GPLv3 with exceptions
Group:		Libraries
URL:		http://www.qoscosgrid.org/trac/qcg-core
Source0:	%{name}-%{version}.%{default_package_ext}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	qcg-libxml2-devel >= 2.9.1
BuildRequires:	qcg-loudmouth-devel >= 1.4.3-5
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	python-devel >= 2.4.0
BuildRequires:	unixODBC-devel >= 2.2.0
BuildRequires:	pam-devel 
Buildrequires:	globus-gssapi-gsi-devel >= 13.10
Buildrequires:	voms-devel
Requires:	qcg-libxml2 >= 2.9.1
Requires:	pam 
Requires:	globus-gssapi-gsi >= 13.10
Requires:	voms

BuildRoot:	%{_tmppath}/%{_basename}-%{version}-root-%(id -u -n)

%define		_qcgdir        %{_prefix}
%ifarch x86_64
%define		_libdir        %{_qcgdir}/lib64
%endif

%define		_aclocaldir    %{_datadir}/aclocal
%define		_depdir        /opt/qcg/dependencies

# for generating debug symbols packages
# %  debug_package
	
%description
QCG-Core library.

%description -l pl.UTF-8
Biblioteka QCG-Core.

%package xmpp-transport
Summary:	XMPP transport module for qcg-core library	
Summary(pl.UTF-8): Moduł transportu XMPP dla biblioteki qcg-core
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	qcg-loudmouth >= 1.4.3-5

%description xmpp-transport
The module for qcg-core library offering XMPP communication capabilities.

%description xmpp-transport -l pl.UTF-8
Moduł dla biblioteki qcg-core umożliwiający komunikację opartą o protokół XMPP.

%package devel
Summary:	Header files for qcg-core library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki qcg-core
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	qcg-libxml2-devel >= 2.9.1

%description devel
Header files for qcg-core library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki qcg-core.

%prep
%setup -q 

%build
%{!?configure_options: %define configure_options %{nil}} 

rm -f m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4
%{__libtoolize} --copy --force
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake} -a -c -f --foreign
%configure \
	--prefix=%{_qcgdir} \
	LDFLAGS="${LDFLAGS} -Wl,-rpath=%{_depdir}/lib" \
	PKG_CONFIG_PATH="%{_depdir}/lib/pkgconfig:%{_libdir}/pkgconfig" \
	GLOBUS_LOCATION=/usr \
	--with-xml-prefix=%{_depdir} \
	--with-python \
	--with-voms \
	--with-xmpp-transport \
	--without-fedsaml \
	--without-iodbc \
	--with-pam %{configure_options} 

NUMCPU=`grep processor /proc/cpuinfo | wc -l`
[ $NUMCPU -eq 0 ] && NUMCPU=1;

make -j$NUMCPU

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_aclocaldir}
install qcg-core.m4 $RPM_BUILD_ROOT%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/lib*.so.*.*
%attr(644,root,root) %{_libdir}/lib*.so.*
%dir %{_libdir}/qcg-core
%dir %{_libdir}/qcg-core/modules
%dir %{_libdir}/qcg-core/modules/python
%attr(644,root,root) %{_libdir}/qcg-core/modules/atc_msg_wsse_username.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/atc_transport_gsi.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/atc_transport_http.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/atc_transport_ssl.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/atz_anonymous.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/atz_limit.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/atz_mapfile.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/atz_python.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/atz_username.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/atz_callout.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/ecm_empty.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/ecm_gsoap.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/general_python.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/ntf_client.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/userdir_pam.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/userdir_python.so
%exclude %{_libdir}/qcg-core/modules/*.la
%exclude %{_libdir}/qcg-core/modules/*.a
%attr(644,root,root) %{_libdir}/qcg-core/modules/python/*
%{_datadir}/qcg-core

%files xmpp-transport
%attr(644,root,root) %{_libdir}/qcg-core/modules/atc_transport_xmpp.so
%attr(644,root,root) %{_libdir}/qcg-core/modules/ecm_xmpp.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qcg-core-*
%attr(644,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/libqcg-core-gsoap.a
%{_includedir}/qcg-core-config.h
%{_includedir}/%{_basename}
%{_aclocaldir}/*
%exclude %{_libdir}/libqcg-core.a
%exclude %{_libdir}/libqcg-core.so.?


%changelog
* Wed Nov 2 2016 Piotr Kopta <pkopta@man.poznan.pl> 4.2.0-1
- Extensions for job arrays
* Wed Dec 16 2015 Bartosz Bosak <bbosak@man.poznan.pl> 4.0.0-1
- A new loudmouth patch for the newer glib libraries
* Thu Nov 7 2013 Bartosz Bosak <bbosak@man.poznan.pl> 3.0.4-1
- Replacement of the old version of libxml with libxml2-2.9.1
* Tue Jul 16 2013 Bartosz Bosak <bbosak@man.poznan.pl> 3.0.3-5
- Improved SPEC file: added changelog

